package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiBalanceChangeRecord;

/**
 * 余额使用记录Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiBalanceChangeRecordMapper extends BaseMapper<AiBalanceChangeRecord> {
    int deleteAiBalanceChangeRecordByIds(Long[] ids);

    int deleteAiBalanceChangeRecordById(Long id);

    List<AiBalanceChangeRecord> selectAiBalanceChangeRecordList(AiBalanceChangeRecord aiBalanceChangeRecord);
}
